| The Red Matrix

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Pages
Public Member Functions | Public Attributes | Protected Member Functions | List of all members
RedBasicAuth Class Reference
Inheritance diagram for RedBasicAuth:

## Public Member Functions
| setCurrentUser ($name)
| setBrowserPlugin ($browser)

## Public Attributes
| $channel_name = ''
| $channel_id = 0
| $channel_hash = ''
| $observer = ''
| $browser
| $owner_id
| $owner_nick = ''
| $timezone

## Protected Member Functions
| validateUserPass ($username, $password)

## Member Function Documentation

RedBasicAuth::setBrowserPlugin | ( |  | $browser | ) |

RedBasicAuth::setCurrentUser | ( |  | $name | ) |

RedBasicAuth::validateUserPass | ( |  | $username,
|  |  | $password
| ) |  |
| protected

## Member Data Documentation

RedBasicAuth::$browser

Referenced by setBrowserPlugin().

RedBasicAuth::$channel_hash = ''

RedBasicAuth::$channel_id = 0

RedBasicAuth::$channel_name = ''

RedBasicAuth::$observer = ''

RedBasicAuth::$owner_id

RedBasicAuth::$owner_nick = ''

RedBasicAuth::$timezone

The documentation for this class was generated from the following file:

- include/reddav.php